MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024147Open CASCADE[OCCT] OCCT:Samplespublic2013-09-05 18:492013-12-19 13:58
Reportervdn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024147: Update of CSharp sample
DescriptionIt is necessary to remove native c++ code and update CLI code.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0025473)
vdn (developer)
2013-09-05 19:00

Dear abv,
Please, review the branch CR24147
(0025628)
abv (manager)
2013-09-18 11:55
edited on: 2013-09-18 11:57

I have made a few corrections and pushed to the same branch CR24147 (see message in last commit for details). Please review.

(0025667)
vdn (developer)
2013-09-20 10:25

I reviewed branch CR24147. In my opinion all is Ok.
(0025668)
abv (manager)
2013-09-20 10:33

Sergey, please use branch CR24147 as starting base for WPF sample. I suggest you start from reproducing the same functionality as implemented in IE executable with Windows Forms, using WPF. Switch the issue to resolved when it is ready.
(0026071)
sdv (developer)
2013-10-14 17:25

Dear abv,
Please, review the branch CR24147
(0026148)
abv (manager)
2013-10-19 23:02

Reviewed, please test; use branch CR24147_1.

Please consider adding CSharp sample (two executables: WinForms and WPF) to Start menu in Windows installer.
(0026239)
apn (administrator)
2013-10-23 14:20

1. Export to images works incorrect in WinForms samples. There is an exception "Cann't write this file" (but file was successfully written). And all this message is incorrect (should be can't or can not).
2. Option "Export image to .xwd" should be removed 'cause there is no opportunity to save file in .xwd (trying to do this we get file a.xwd.bmp).
3. It's impossible to export file in any format in WPF sample. There is import instead of export.
(0026256)
sdv (developer)
2013-10-24 13:53

Operation "Export" in the WPF sample has been fixed.
(0026265)
vdn (developer)
2013-10-24 19:31
edited on: 2013-10-25 10:50

Please, review the branch CR24147_1

(0026274)
abv (manager)
2013-10-25 11:19

Reviewed, please test and integrate. My only remark is that perhaps formats other than BMP copuld be enabled in saving images (at least, PNG), however this is not really important.
(0026276)
apn (administrator)
2013-10-25 11:45

Tested

- Related Changesets
occt: master d1a2fee8
Timestamp: 2013-10-25 09:44:45
Author: vdn
Committer: bugmaster
Details ] Diff ]
0024147: Update of CSharp sample

Overall revision of of CSharp sample code:
- Pure C++ project "OCC" deleted as unnecessary
- C++/CLI project "shell" renamed to OCCTProxy and refactored to implement all required interface to OCCT functionality.
- In About dialog, date corrected in Copyright statement
- CSharp files re-layouted with 2 spaces indentation
- ReadMe converted to MarkDown format and revised
- Generation of names of views refactored to avoid calling C++ level
- Project files corrected to run on 64-bit systems
- Batch scripts refactored to use OCCT default configuration

WPF front-end added to demonstrate usage of OCCT in WPF applications.
WPF sample was modified, operation Export has been fixed
Exception "Cannot create this file", which appeared by export to image format, has been corrected.
Option "Export image to .xwd" removed.
add - samples/CSharp/CSharp.sln Diff ] File ]
rm - samples/CSharp/IE/AboutDialog.cs Diff ] File ]
rm - samples/CSharp/IE/app.config Diff ] File ]
rm - samples/CSharp/IE/Form1.cs Diff ] File ]
rm - samples/CSharp/IE/Form2.cs Diff ] File ]
rm - samples/CSharp/IE/IE.sln Diff ] File ]
rm - samples/CSharp/IE/MaterialDialog.cs Diff ] File ]
rm - samples/CSharp/IE/res/document.ico Diff ] File ]
rm - samples/CSharp/IE/TransparencyDialog.cs Diff ] File ]
mod - samples/CSharp/msvc.bat Diff ] File ]
rm - samples/CSharp/OCC/OCC.cpp Diff ] File ]
rm - samples/CSharp/OCC/OCC.vcproj Diff ] File ]
rm - samples/CSharp/OCC/OCCViewer.cpp Diff ] File ]
rm - samples/CSharp/OCC/OCCViewer.h Diff ] File ]
rm - samples/CSharp/OCC/ReadMe.txt Diff ] File ]
rm - samples/CSharp/OCC/stdafx.cpp Diff ] File ]
rm - samples/CSharp/OCC/stdafx.h Diff ] File ]
add - samples/CSharp/OCCTProxy/OCCTProxy.cpp Diff ] File ]
add - samples/CSharp/OCCTProxy/OCCTProxy.vcproj Diff ] File ]
add - samples/CSharp/ReadMe.md Diff ] File ]
rm - samples/CSharp/run.bat Diff ] File ]
add - samples/CSharp/run_winforms.bat Diff ] File ]
add - samples/CSharp/run_wpf.bat Diff ] File ]
rm - samples/CSharp/shell/shell.cpp Diff ] File ]
rm - samples/CSharp/shell/shell.h Diff ] File ]
rm - samples/CSharp/shell/shell.vcproj Diff ] File ]
add - samples/CSharp/WinForms/AboutDialog.cs Diff ] File ]
add - samples/CSharp/WinForms/app.config Diff ] File ]
add - samples/CSharp/WinForms/Form1.cs Diff ] File ]
add - samples/CSharp/WinForms/Form2.cs Diff ] File ]
add - samples/CSharp/WinForms/MaterialDialog.cs Diff ] File ]
add - samples/CSharp/WinForms/TransparencyDialog.cs Diff ] File ]
add - samples/CSharp/WPF/About.xaml Diff ] File ]
add - samples/CSharp/WPF/About.xaml.cs Diff ] File ]
add - samples/CSharp/WPF/App.xaml Diff ] File ]
add - samples/CSharp/WPF/App.xaml.cs Diff ] File ]
add - samples/CSharp/WPF/IECommands.cs Diff ] File ]
add - samples/CSharp/WPF/IE_WPF.csproj Diff ] File ]
add - samples/CSharp/WPF/MainWindow.xaml Diff ] File ]
add - samples/CSharp/WPF/MainWindow.xaml.cs Diff ] File ]
add - samples/CSharp/WPF/MaterialDlg.xaml Diff ] File ]
add - samples/CSharp/WPF/MaterialDlg.xaml.cs Diff ] File ]
add - samples/CSharp/WPF/OCCViewer.cs Diff ] File ]
add - samples/CSharp/WPF/Properties/AssemblyInfo.cs Diff ] File ]
add - samples/CSharp/WPF/Properties/Resources.Designer.cs Diff ] File ]
add - samples/CSharp/WPF/Properties/Resources.resx Diff ] File ]
add - samples/CSharp/WPF/Properties/Settings.Designer.cs Diff ] File ]
add - samples/CSharp/WPF/Properties/Settings.settings Diff ] File ]
add - samples/CSharp/WPF/Simple Styles.xaml Diff ] File ]
add - samples/CSharp/WPF/TransparencyDialog.cs Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-09-05 18:49 vdn New Issue
2013-09-05 18:49 vdn Assigned To => vdn
2013-09-05 18:49 vdn Status new => assigned
2013-09-05 19:00 vdn Note Added: 0025473
2013-09-05 19:00 vdn Assigned To vdn => abv
2013-09-05 19:00 vdn Status assigned => resolved
2013-09-18 11:54 abv Assigned To abv => vdn
2013-09-18 11:55 abv Note Added: 0025628
2013-09-18 11:57 abv Note Edited: 0025628 View Revisions
2013-09-20 10:25 vdn Note Added: 0025667
2013-09-20 10:33 abv Note Added: 0025668
2013-09-20 10:33 abv Assigned To vdn => sdv
2013-09-20 10:33 abv Status resolved => assigned
2013-10-14 17:25 sdv Assigned To sdv => abv
2013-10-14 17:25 sdv Note Added: 0026071
2013-10-14 17:26 sdv Status assigned => resolved
2013-10-19 23:02 abv Note Added: 0026148
2013-10-19 23:02 abv Assigned To abv => bugmaster
2013-10-19 23:02 abv Status resolved => reviewed
2013-10-19 23:02 abv Target Version 6.6.0 => 6.7.0
2013-10-23 11:42 bugmaster Assigned To bugmaster => apn
2013-10-23 14:20 apn Note Added: 0026239
2013-10-23 14:21 apn Assigned To apn => sdv
2013-10-23 14:21 apn Status reviewed => assigned
2013-10-24 13:53 sdv Note Added: 0026256
2013-10-24 13:54 sdv Assigned To sdv => vdn
2013-10-24 19:31 vdn Note Added: 0026265
2013-10-24 19:32 vdn Assigned To vdn => abv
2013-10-25 10:50 vdn Note Edited: 0026265 View Revisions
2013-10-25 11:00 apn Status assigned => resolved
2013-10-25 11:19 abv Note Added: 0026274
2013-10-25 11:19 abv Assigned To abv => apn
2013-10-25 11:19 abv Status resolved => reviewed
2013-10-25 11:45 apn Note Added: 0026276
2013-10-25 11:46 apn Assigned To apn => bugmaster
2013-10-25 11:46 apn Status reviewed => tested
2013-10-25 14:42 bugmaster Changeset attached => occt master d1a2fee8
2013-10-25 14:42 bugmaster Status tested => verified
2013-10-25 14:42 bugmaster Resolution open => fixed
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0
2014-01-11 11:59 abv Category OCCT Release:MFC => OCCT Release:Samples
2014-01-11 12:02 abv Category OCCT Release:Samples => OCCT:Samples


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker